SELECT
    uri.str AS uri
FROM
    SidxUriSample AS s
    INNER JOIN Str AS uri
    INNER JOIN Hash AS h
ON
    s.uri=uri.id
    AND s.hash=h.id
WHERE
    h.hash=:hash
ORDER BY
    s.epoch DESC
LIMIT
    :limit
;
